Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Software update

Discussion in 'General Discussion' started by Jruleon, Feb 5, 2014.

  1. Jruleon

    Joined:
    Jan 15, 2014
    Messages:
    9
    Likes Received:
    0
    I have an original phantom v 1.1.1 & flown it successfully several times! My question is do I need to hook up my phantom to my computer for software upgrade & if so what would be the benefit! Also if u have a link to the easiest way to do this I would greatly appreciate it! Thanks so much!


    Sent from my iPhone using Tapatalk
     
  2. HeliRy

    Joined:
    Jan 9, 2014
    Messages:
    121
    Likes Received:
    0
    Location:
    Vancouver Island, Canada.
    Yes, you have to plug into a PC to upgrade. It won't fall out of the sky if you don't.... but you'll be missing out on minor tweaks or possible fixes to major errors in the firmware. Plus if you haven't done so already you should plug it in and calibrate the compass and IMU.

    Everything you need for the 1.1.1 can be found here : http://www.dji.com/download/phantom-downloads/
     
  3. Jruleon

    Joined:
    Jan 15, 2014
    Messages:
    9
    Likes Received:
    0
    Thanks bud I really appreciate the response/advice!


    Sent from my iPhone using Tapatalk
     
  4. Jruleon

    Joined:
    Jan 15, 2014
    Messages:
    9
    Likes Received:
    0
    Is this Mac compatible?


    Sent from my iPhone using Tapatalk
     
  5. HeliRy

    Joined:
    Jan 9, 2014
    Messages:
    121
    Likes Received:
    0
    Location:
    Vancouver Island, Canada.
    Good question, I would imagine it is. Be silly if DJI built a PC only firmware for a quad that you can fly with an iPad lol.

    Maybe someone with a Mac can chime in, I'm not seeing a dedicated Mac friendly download link on that page...
     
  6. OI Photography

    Joined:
    Sep 23, 2013
    Messages:
    5,542
    Likes Received:
    17
    Location:
    Clarksville, TN
    Heh, let me stop you right there :D

    The issue isn't compatibility with the firmware, it's just the fact that the NAZA Assistant for the P1 does not have a mac version currently. I believe the workaround is to use a windows emulator (wine, parallels, etc) or some similar environment to use the software.
     
  7. rickhz

    Joined:
    Dec 13, 2013
    Messages:
    32
    Likes Received:
    0
    Once you do the upgrade on the 1.1.1 you will most likely have to change your receiver type to Dbus in the NAZAM program. Otherwise your radio won't communicate with the coptor.
     
  8. Jruleon

    Joined:
    Jan 15, 2014
    Messages:
    9
    Likes Received:
    0
    Sorry rickhz please break down what u just said! Over my head!


    Sent from my iPhone using Tapatalk
     
  9. Jruleon

    Joined:
    Jan 15, 2014
    Messages:
    9
    Likes Received:
    0
    What is DBus?


    Sent from my iPhone using Tapatalk
     
  10. Big Ben

    Joined:
    Jan 17, 2014
    Messages:
    344
    Likes Received:
    0
    Try Wikipedia. :)